Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xml.utils
Class NamespaceSupport2

    java.lang.Object
      |
      +--org.xml.sax.helpers.NamespaceSupport
            |
            +--weblogic.apache.xml.utils.NamespaceSupport2

public class NamespaceSupport2
extends org.xml.sax.helpers.NamespaceSupport

Encapsulate Namespace tracking logic for use by SAX drivers.

This class is an attempt to rewrite the SAX NamespaceSupport "helper" class for improved efficiency. It can be used to track the namespace declarations currently in scope, providing lookup routines to map prefixes to URIs and vice versa.

ISSUE: For testing purposes, I've extended NamespaceSupport even though I'm completely reasserting all behaviors and fields. Wasteful.... But SAX did not put an interface under that object and we seem to have written that SAX class into our APIs... and I don't want to argue with it right now.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

See Also:
  `NamespaceSupport`

Field Summary
`static java.lang.String` | `XMLNS` The XML Namespace as a constant.

Fields inherited from class org.xml.sax.helpers.NamespaceSupport
`XMLNS`

Constructor Summary
`NamespaceSupport2()` Create a new Namespace support object.

Method Summary
`boolean` | `declarePrefix(java.lang.String prefix, java.lang.String uri)` Declare a Namespace prefix.
`java.util.Enumeration` | `getDeclaredPrefixes()` Return an enumeration of all prefixes declared in this context.
`java.lang.String` | `getPrefix(java.lang.String uri)` Return one of the prefixes mapped to a Namespace URI.
`java.util.Enumeration` | `getPrefixes()` Return an enumeration of all prefixes currently declared.
`java.util.Enumeration` | `getPrefixes(java.lang.String uri)` Return an enumeration of all prefixes currently declared for a URI.
`java.lang.String` | `getURI(java.lang.String prefix)` Look up a prefix and get the currently-mapped Namespace URI.
`void` | `popContext()` Revert to the previous Namespace context.
`java.lang.String[]` | `processName(java.lang.String qName, java.lang.String[] parts, boolean isAttribute)` Process a raw XML 1.0 name.
`void` | `pushContext()` Start a new Namespace context.
`void` | `reset()` Reset this Namespace support object for reuse.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XMLNS

    public static final java.lang.String XMLNS

  The XML Namespace as a constant.

  This is the Namespace URI that is automatically mapped to the "xml" prefix.

Constructor Detail

### NamespaceSupport2

    public NamespaceSupport2()

  Create a new Namespace support object.

Method Detail

### reset

    public void reset()

  Reset this Namespace support object for reuse.

  It is necessary to invoke this method before reusing the Namespace support object for a new session.

  Overrides:
    reset in class org.xml.sax.helpers.NamespaceSupport

### pushContext

    public void pushContext()

  Start a new Namespace context.

  Normally, you should push a new context at the beginning of each XML element: the new context will automatically inherit the declarations of its parent context, but it will also keep track of which declarations were made within this context.

  The Namespace support object always starts with a base context already in force: in this context, only the "xml" prefix is declared.

  Overrides:
    pushContext in class org.xml.sax.helpers.NamespaceSupport
  See Also:
    `popContext()`

### popContext

    public void popContext()

  Revert to the previous Namespace context.

  Normally, you should pop the context at the end of each XML element. After popping the context, all Namespace prefix mappings that were previously in force are restored.

  You must not attempt to declare additional Namespace prefixes after popping a context, unless you push another context first.

  Overrides:
    popContext in class org.xml.sax.helpers.NamespaceSupport
  See Also:
    `pushContext()`

### declarePrefix

    public boolean declarePrefix(java.lang.String prefix,
                                 java.lang.String uri)

  Declare a Namespace prefix.

  This method declares a prefix in the current Namespace context; the prefix will remain in force until this context is popped, unless it is shadowed in a descendant context.

  To declare a default Namespace, use the empty string. The prefix must not be "xml" or "xmlns".

  Note that you must not declare a prefix after you've pushed and popped another Namespace.

  Note that there is an asymmetry in this library: while getPrefix will not return the default "" prefix, even if you have declared one; to check for a default prefix, you have to look it up explicitly using getURI. This asymmetry exists to make it easier to look up prefixes for attribute names, where the default prefix is not allowed.

  Parameters:
    `prefix` - The prefix to declare, or null for the empty string.
    `uri` - The Namespace URI to associate with the prefix.
  Returns:
    true if the prefix was legal, false otherwise
  Overrides:
    declarePrefix in class org.xml.sax.helpers.NamespaceSupport
  See Also:
    `processName(java.lang.String, java.lang.String[], boolean)`, `getURI(java.lang.String)`, `getPrefix(java.lang.String)`

### processName

    public java.lang.String[] processName(java.lang.String qName,
                                          java.lang.String[] parts,
                                          boolean isAttribute)

  Process a raw XML 1.0 name.

  This method processes a raw XML 1.0 name in the current context by removing the prefix and looking it up among the prefixes currently declared. The return value will be the array supplied by the caller, filled in as follows:

  parts[0]
    The Namespace URI, or an empty string if none is in use.
  parts[1]
    The local name (without prefix).
  parts[2]
    The original raw name.

  All of the strings in the array will be internalized. If the raw name has a prefix that has not been declared, then the return value will be null.

  Note that attribute names are processed differently than element names: an unprefixed element name will received the default Namespace (if any), while an unprefixed element name will not.

  Parameters:
    `qName` - The raw XML 1.0 name to be processed.
    `parts` - A string array supplied by the caller, capable of holding at least three members.
    `isAttribute` - A flag indicating whether this is an attribute name (true) or an element name (false).
  Returns:
    The supplied array holding three internalized strings representing the Namespace URI (or empty string), the local name, and the raw XML 1.0 name; or null if there is an undeclared prefix.
  Overrides:
    processName in class org.xml.sax.helpers.NamespaceSupport
  See Also:
    `declarePrefix(java.lang.String, java.lang.String)`, `String.intern()`

### getURI

    public java.lang.String getURI(java.lang.String prefix)

  Look up a prefix and get the currently-mapped Namespace URI.

  This method looks up the prefix in the current context. Use the empty string ("") for the default Namespace.

  Parameters:
    `prefix` - The prefix to look up.
  Returns:
    The associated Namespace URI, or null if the prefix is undeclared in this context.
  Overrides:
    getURI in class org.xml.sax.helpers.NamespaceSupport
  See Also:
    `getPrefix(java.lang.String)`, `getPrefixes()`

### getPrefixes

    public java.util.Enumeration getPrefixes()

  Return an enumeration of all prefixes currently declared.

  Note: if there is a default prefix, it will not be returned in this enumeration; check for the default prefix using the getURI with an argument of "".

  Returns:
    An enumeration of all prefixes declared in the current context except for the empty (default) prefix.
  Overrides:
    getPrefixes in class org.xml.sax.helpers.NamespaceSupport
  See Also:
    `getDeclaredPrefixes()`, `getURI(java.lang.String)`

### getPrefix

    public java.lang.String getPrefix(java.lang.String uri)

  Return one of the prefixes mapped to a Namespace URI.

  If more than one prefix is currently mapped to the same URI, this method will make an arbitrary selection; if you want all of the prefixes, use the `getPrefixes()` method instead.

  Note: this will never return the empty (default) prefix; to check for a default prefix, use the getURI method with an argument of "".

  Parameters:
    `uri` - The Namespace URI.
  Returns:
    One of the prefixes currently mapped to the URI supplied, or null if none is mapped or if the URI is assigned to the default Namespace.
  Overrides:
    getPrefix in class org.xml.sax.helpers.NamespaceSupport
  See Also:
    `getPrefixes(java.lang.String)`, `getURI(java.lang.String)`

### getPrefixes

    public java.util.Enumeration getPrefixes(java.lang.String uri)

  Return an enumeration of all prefixes currently declared for a URI.

  This method returns prefixes mapped to a specific Namespace URI. The xml: prefix will be included. If you want only one prefix that's mapped to the Namespace URI, and you don't care which one you get, use the getPrefix method instead.

  Note: the empty (default) prefix is never included in this enumeration; to check for the presence of a default Namespace, use the getURI method with an argument of "".

  Parameters:
    `uri` - The Namespace URI.
  Returns:
    An enumeration of all prefixes declared in the current context.
  Overrides:
    getPrefixes in class org.xml.sax.helpers.NamespaceSupport
  See Also:
    `getPrefix(java.lang.String)`, `getDeclaredPrefixes()`, `getURI(java.lang.String)`

### getDeclaredPrefixes

    public java.util.Enumeration getDeclaredPrefixes()

  Return an enumeration of all prefixes declared in this context.

  The empty (default) prefix will be included in this enumeration; note that this behaviour differs from that of `getPrefix(java.lang.String)` and `getPrefixes()`.

  Returns:
    An enumeration of all prefixes declared in this context.
  Overrides:
    getDeclaredPrefixes in class org.xml.sax.helpers.NamespaceSupport
  See Also:
    `getPrefixes()`, `getURI(java.lang.String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference